## org.apache.xerces.impl.xs.psvi
Interface XSObject

All Known Subinterfaces:
  XSAnnotation, XSAttributeDeclaration, XSAttributeGroupDefinition, XSAttributeUse, XSComplexTypeDefinition, XSElementDeclaration, XSIDCDefinition, XSModelGroup, XSModelGroupDefinition, XSNotationDeclaration, XSParticle, XSSimpleType, XSSimpleTypeDefinition, XSTerm, XSTypeDefinition, XSWildcard

public interface XSObject

The `XSObject` is a base object for the XML Schema component model. The interface may be updated or replaced.

Method Summary
`java.lang.String` `getName()` The name of type `NCName` of this declaration as defined in XML Namespaces.
`java.lang.String` `getNamespace()` The [target namespace] of this object, or `null` if it is unspecified.
`XSNamespaceItem` `getNamespaceItem()` A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.
`short` `getType()` The `type` of this object, i.e.

Method Detail

### getType

    public short getType()

  The `type` of this object, i.e. `ELEMENT_DECLARATION`.

### getName

    public java.lang.String getName()

  The name of type `NCName` of this declaration as defined in XML Namespaces.

### getNamespace

    public java.lang.String getNamespace()

  The [target namespace] of this object, or `null` if it is unspecified.

### getNamespaceItem

    public XSNamespaceItem getNamespaceItem()

  A namespace schema information itemcorresponding to the target namespace of the component, if it's globally declared; or null otherwise.

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.